| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::KAZE Class Referenceabstract
2D Features Framework » Feature Detection and Description

Class implementing the KAZE keypoint detector and descriptor extractor, described in [6] . More...

`#include "features2d.hpp"`

Inheritance diagram for cv::KAZE:

## Public Types
enum | { DIFF_PM_G1 = 0, DIFF_PM_G2 = 1, DIFF_WEICKERT = 2, DIFF_CHARBONNIER = 3 }

## Public Member Functions
virtual String | getDefaultName () const CV_OVERRIDE
virtual int | getDiffusivity () const =0
virtual bool | getExtended () const =0
virtual int | getNOctaveLayers () const =0
virtual int | getNOctaves () const =0
virtual double | getThreshold () const =0
virtual bool | getUpright () const =0
virtual void | setDiffusivity (int diff)=0
virtual void | setExtended (bool extended)=0
virtual void | setNOctaveLayers (int octaveLayers)=0
virtual void | setNOctaves (int octaves)=0
virtual void | setThreshold (double threshold)=0
virtual void | setUpright (bool upright)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< KAZE > | create (bool extended=false, bool upright=false, float threshold=0.001f, int nOctaves=4, int nOctaveLayers=4, int diffusivity=KAZE::DIFF_PM_G2)
| The KAZE constructor. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the KAZE keypoint detector and descriptor extractor, described in [6] .

Note
  AKAZE descriptor can only be used with KAZE or AKAZE keypoints .. [ABD12] KAZE Features. Pablo F. Alcantarilla, Adrien Bartoli and Andrew J. Davison. In European Conference on Computer Vision (ECCV), Fiorenze, Italy, October 2012.

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
DIFF_PM_G1 |
DIFF_PM_G2 |
DIFF_WEICKERT |
DIFF_CHARBONNIER |

## Member Function Documentation

## § create()

static Ptr<KAZE> cv::KAZE::create | ( | bool | extended = `false`,
|  | bool | upright = `false`,
|  | float | threshold = `0.001f`,
|  | int | nOctaves = `4`,
|  | int | nOctaveLayers = `4`,
|  | int | diffusivity = `KAZE::DIFF_PM_G2`
| ) |  |
| static

Python:
| retval | = | cv.KAZE_create( | [, extended[, upright[, threshold[, nOctaves[, nOctaveLayers[, diffusivity]]]]]] | )

The KAZE constructor.

Parameters

  extended | Set to enable extraction of extended (128-byte) descriptor.
  upright | Set to enable use of upright descriptors (non rotation-invariant).
  threshold | Detector response threshold to accept point
  nOctaves | Maximum octave evolution of the image
  nOctaveLayers | Default number of sublevels per scale level
  diffusivity | Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER

## § getDefaultName()

virtual String cv::KAZE::getDefaultName | ( |  | ) | const
| virtual

Python:
| retval | = | cv.KAZE.getDefaultName( |  | )

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

## § getDiffusivity()

virtual int cv::KAZE::getDiffusivity | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getDiffusivity( |  | )

## § getExtended()

virtual bool cv::KAZE::getExtended | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getExtended( |  | )

## § getNOctaveLayers()

virtual int cv::KAZE::getNOctaveLayers | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getNOctaveLayers( |  | )

## § getNOctaves()

virtual int cv::KAZE::getNOctaves | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getNOctaves( |  | )

## § getThreshold()

virtual double cv::KAZE::getThreshold | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getThreshold( |  | )

## § getUpright()

virtual bool cv::KAZE::getUpright | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.KAZE.getUpright( |  | )

## § setDiffusivity()

virtual void cv::KAZE::setDiffusivity | ( | int | diff | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setDiffusivity( | diff | )

## § setExtended()

virtual void cv::KAZE::setExtended | ( | bool | extended | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setExtended( | extended | )

## § setNOctaveLayers()

virtual void cv::KAZE::setNOctaveLayers | ( | int | octaveLayers | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setNOctaveLayers( | octaveLayers | )

## § setNOctaves()

virtual void cv::KAZE::setNOctaves | ( | int | octaves | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setNOctaves( | octaves | )

## § setThreshold()

virtual void cv::KAZE::setThreshold | ( | double | threshold | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setThreshold( | threshold | )

## § setUpright()

virtual void cv::KAZE::setUpright | ( | bool | upright | ) |
| pure virtual

Python:
| None | = | cv.KAZE.setUpright( | upright | )

The documentation for this class was generated from the following file:

- features2d/include/opencv2/features2d.hpp